#### D.4.11.14 isReg

Procedure from library `homolog.lib` (see homolog_lib).

Usage:
  isReg(I,M); I ideal, M module

Return:
  1 if given (ordered) list of generators for I is coker(M)-sequence;
  0 if this is not the case.

Example:

    LIB "homolog.lib";
    ring R = 0,(x,y,z),dp;
    ideal I = x*(y-1),y,z*(y-1);
    isReg(I,0);             // given list of generators is Q[x,y,z]-sequence
    ==> 1
    I = x*(y-1),z*(y-1),y;  // change sorting of generators
    isReg(I,0);
    ==> 0
    ring r = 0,(x,y,z),ds;  // local ring
    ideal I=fetch(R,I);
    isReg(I,0);             // result independent of sorting of generators
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.